RagTimeTextInternal::Token Struct Reference documentation

RagTimeTextInternal::Token Struct Reference

Internal: a token of a RagTimeText. More...

## Public Types
enum | Type { List , Page , PageCount , PageAfter , Date , Time , Unknown }
| the token's types More...

## Public Member Functions
| Token ()
| constructor
bool | getField (MWAWField &field) const
| returns a field corresponding to the token if possible
bool | getIndicesString (std::string &str) const
| returns a string corresponding to the list indices

## Public Attributes
Type | m_type
| the token type
int | m_listLevel
| the list level(for a list)
int | m_listIndices [4]
| the four list indices
std::string | m_DTFormat
| the date time format
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<<

## Detailed Description

Internal: a token of a RagTimeText.

## Member Enumeration Documentation

## ◆ Type

enum RagTimeTextInternal::Token::Type

the token's types

Enumerator
List |
Page |
PageCount |
PageAfter |
Date |
Time |
Unknown |

## Constructor & Destructor Documentation

## ◆ Token()

RagTimeTextInternal::Token::Token | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ getField()

bool RagTimeTextInternal::Token::getField | ( | MWAWField & | field | ) | const
| inline

returns a field corresponding to the token if possible

## ◆ getIndicesString()

bool RagTimeTextInternal::Token::getIndicesString | ( | std::string & | str | ) | const
| inline

returns a string corresponding to the list indices

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Token const & | tkn )
| friend

operator<<

## Member Data Documentation

## ◆ m_DTFormat

std::string RagTimeTextInternal::Token::m_DTFormat

the date time format

Referenced by getField(), operator<<, RagTimeText::readTokens(), and Token().

## ◆ m_extra

std::string RagTimeTextInternal::Token::m_extra

extra data

Referenced by operator<<, RagTimeText::readTokens(), and Token().

## ◆ m_listIndices

int RagTimeTextInternal::Token::m_listIndices[4]

the four list indices

Referenced by getIndicesString(), operator<<, RagTimeText::readTokens(), and Token().

## ◆ m_listLevel

int RagTimeTextInternal::Token::m_listLevel

the list level(for a list)

Referenced by getIndicesString(), operator<<, RagTimeText::readTokens(), and Token().

## ◆ m_type

Type RagTimeTextInternal::Token::m_type

the token type

Referenced by getField(), getIndicesString(), operator<<, RagTimeText::readTokens(), and Token().

The documentation for this struct was generated from the following file:

- RagTimeText.cxx